dots.v2.genAi.agents.byAgent_uuId().api_keys.byApi_key_uuid().delete()

Generated on 13 Nov 2026 from DoTs version v1.24.0

Usage

client.v2.genAi.agents.byAgent_uuId(agent_uuId).api_keys.byApi_key_uuid(api_key_uuid).delete(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ApiDeleteAgentAPIKeyOutput>

Description

To delete an API key for an agent, send a DELETE request to /v2/gen-ai/agents/{agent_uuid}/api_keys/{api_key_uuid}.

Parameters

agent_uuId string required

Example: "123e4567-e89b-12d3-a456-426614174000"

A unique identifier for your agent.

api_key_uuid string required

Example: "123e4567-e89b-12d3-a456-426614174000"

API key for an agent.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.genAi.agents
    .byAgent_uuId("\"123e4567-e89b-12d3-a456-426614174000\"").api_keys
    .byApi_key_uuid("\"123e4567-e89b-12d3-a456-426614174000\"").delete();

Response Example

Show Response Example
{
  "api_key_info": {
    "created_at": "2023-01-01T00:00:00Z",
    "created_by": "12345",
    "deleted_at": "2023-01-01T00:00:00Z",
    "name": "example name",
    "secret_key": "example string",
    "uuid": "123e4567-e89b-12d3-a456-426614174000"
  }
}

More Information

See /v2/gen-ai/agents/{agent_uuid}/api_keys/{api_key_uuid} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.